# SoapClient::__setCookie

(PHP 5 >= 5.0.4, PHP 7, PHP 8)

SoapClient::__setCookie — Defines a cookie for SOAP requests

### 说明

public SoapClient::__setCookie(string `$name`, ?string `$value` = `null`): void

Defines a cookie to be sent along with the SOAP requests.

> 注意:

> Calling this method will affect all following calls to SoapClient methods.

### 参数

`name`

  The name of the cookie.

`value`

  The value of the cookie. If not specified, the cookie will be deleted.

### 返回值

没有返回值。

### 更新日志

版本 | 说明
--- | ---
8.0.0 | `value` is now nullable.

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open